#!/bin/sh

HOMEDIR=$(getent passwd "$PAM_USER" | cut -d: -f6) 
WMDERPDIRNAME=".wmde-osync"
WMDERPDIR="$HOMEDIR/$WMDERPDIRNAME"

LOGFILE=$WMDERPDIR/usersync.log
PIDFILE=$WMDERPDIR/usersync.pid
FIRSTSYNC=$WMDERPDIR/firstsync-done
FULLSYNC=$WMDERPDIR/fullsync-done
CONFIGSYNC=$WMDERPDIR/configsync-done


create_wmderpdir ()
{
	mkdir -p $WMDERPDIR
	LASTERROR=$?  
	if [ $LASTERROR -ne 0 ]; then 
		echo $$ > $CONFIGSYNC
		echo $$ > $FULLSYNC
		exit $LASTERROR 
	fi
}


create_knonw_hosts_and_nfshomedir()
{
	KNOWNHOSTS=`$PREFIX/wmde-rp-generate-known-hosts.sh`
	LASTERROR=$? 
	if [ $LASTERROR -ne 0 ]; then 
		echo $$ > $CONFIGSYNC
		echo $$ > $FULLSYNC
		exit $LASTERROR 
	fi

	echo $KNOWNHOSTS > "$WMDERPDIR/known_hosts"
	LASTERROR=$?  
	if [ $LASTERROR -ne 0 ]; then 
		echo $$ > $CONFIGSYNC
		echo $$ > $FULLSYNC
		exit $LASTERROR 
	fi

	# The following creates users home directory on the nfs server if not already exists 
	ssh $SSHARGS $PAM_USER@$NFSSERVER /usr/bin/true
	LASTERROR=$?  
	if [ $LASTERROR -ne 0 ]; then 
		echo $$ > $CONFIGSYNC
		echo $$ > $FULLSYNC
		exit $LASTERROR 
	fi
}


